name: pmgen_reproduce_paper_results
channels:
  - conda-forge
dependencies:
  - _libgcc_mutex=0.1
  - _openmp_mutex=4.5
  - absl-py=2.1.0
  - alsa-lib=1.2.12
  - anyio=4.6.0
  - argon2-cffi=23.1.0
  - argon2-cffi-bindings=21.2.0
  - arrow=1.3.0
  - asttokens=2.4.1
  - astunparse=1.6.3
  - async-lru=2.0.4
  - atk-1.0=2.38.0
  - attr=2.5.1
  - attrs=24.2.0
  - babel=2.14.0
  - beautifulsoup4=4.12.3
  - binutils=2.43
  - binutils_impl_linux-64=2.43
  - binutils_linux-64=2.43
  - bleach=6.1.0
  - brotli=1.1.0
  - brotli-bin=1.1.0
  - brotli-python=1.1.0
  - bzip2=1.0.8
  - c-ares=1.32.3
  - c-compiler=1.7.0
  - ca-certificates=2025.1.31
  - cached-property=1.5.2
  - cached_property=1.5.2
  - cairo=1.18.0
  - cccl=2.2.0
  - certifi=2024.12.14
  - cffi=1.17.1
  - charset-normalizer=3.3.2
  - comm=0.2.2
  - contourpy=1.3.0
  - cuda=12.3.2
  - cuda-cccl=12.3.101
  - cuda-cccl_linux-64=12.3.101
  - cuda-command-line-tools=12.3.2
  - cuda-compiler=12.3.2
  - cuda-crt-dev_linux-64=12.3.107
  - cuda-crt-tools=12.3.107
  - cuda-cudart=12.3.101
  - cuda-cudart-dev=12.3.101
  - cuda-cudart-dev_linux-64=12.3.101
  - cuda-cudart-static=12.3.101
  - cuda-cudart-static_linux-64=12.3.101
  - cuda-cudart_linux-64=12.3.101
  - cuda-cuobjdump=12.3.101
  - cuda-cupti=12.3.101
  - cuda-cupti-dev=12.3.101
  - cuda-cuxxfilt=12.3.101
  - cuda-driver-dev=12.3.101
  - cuda-driver-dev_linux-64=12.3.101
  - cuda-gdb=12.3.101
  - cuda-libraries=12.3.2
  - cuda-libraries-dev=12.3.2
  - cuda-nsight=12.3.101
  - cuda-nvcc=12.3.107
  - cuda-nvcc-dev_linux-64=12.3.107
  - cuda-nvcc-impl=12.3.107
  - cuda-nvcc-tools=12.3.107
  - cuda-nvcc_linux-64=12.3.107
  - cuda-nvdisasm=12.3.101
  - cuda-nvml-dev=12.3.101
  - cuda-nvprof=12.3.101
  - cuda-nvprune=12.3.101
  - cuda-nvrtc=12.3.107
  - cuda-nvrtc-dev=12.3.107
  - cuda-nvtx=12.3.101
  - cuda-nvvm-dev_linux-64=12.3.107
  - cuda-nvvm-impl=12.3.107
  - cuda-nvvm-tools=12.3.107
  - cuda-nvvp=12.3.101
  - cuda-opencl=12.3.101
  - cuda-opencl-dev=12.3.101
  - cuda-profiler-api=12.3.101
  - cuda-runtime=12.3.2
  - cuda-sanitizer-api=12.3.101
  - cuda-toolkit=12.3.2
  - cuda-tools=12.3.2
  - cuda-version=12.3
  - cuda-visual-tools=12.3.2
  - cudnn=8.9.7.29
  - cxx-compiler=1.7.0
  - cycler=0.12.1
  - dbus=1.13.6
  - dcor=0.6
  - debugpy=1.8.6
  - decorator=5.1.1
  - defusedxml=0.7.1
  - dill=0.3.6
  - double-conversion=3.3.0
  - entrypoints=0.4
  - exceptiongroup=1.2.2
  - executing=2.1.0
  - expat=2.6.3
  - filelock=3.16.1
  - flatbuffers=24.3.25
  - font-ttf-dejavu-sans-mono=2.37
  - font-ttf-inconsolata=3.000
  - font-ttf-source-code-pro=2.038
  - font-ttf-ubuntu=0.83
  - fontconfig=2.14.2
  - fonts-conda-ecosystem=1
  - fonts-conda-forge=1
  - fonttools=4.54.1
  - fqdn=1.5.1
  - freesasa=2.2.1
  - freetype=2.12.1
  - fribidi=1.0.10
  - fsspec=2024.9.0
  - gast=0.5.5
  - gcc=12.4.0
  - gcc_impl_linux-64=12.4.0
  - gcc_linux-64=12.4.0
  - gdk-pixbuf=2.42.12
  - gds-tools=1.8.1.2
  - gettext=0.22.5
  - gettext-tools=0.22.5
  - giflib=5.2.2
  - glib=2.80.2
  - glib-tools=2.80.2
  - gmp=6.3.0
  - gmpy2=2.1.5
  - google-pasta=0.2.0
  - graphite2=1.3.13
  - graphviz=11.0.0
  - grpcio=1.62.2
  - gst-plugins-base=1.24.4
  - gstreamer=1.24.4
  - gtk2=2.24.33
  - gts=0.7.6
  - gxx=12.4.0
  - gxx_impl_linux-64=12.4.0
  - gxx_linux-64=12.4.0
  - h11=0.14.0
  - h2=4.1.0
  - h5py=3.11.0
  - harfbuzz=8.5.0
  - hdf5=1.14.3
  - hpack=4.0.0
  - httpcore=1.0.5
  - httpx=0.27.2
  - hyperframe=6.0.1
  - icu=73.2
  - idna=3.10
  - importlib-metadata=8.5.0
  - importlib_metadata=8.5.0
  - importlib_resources=6.4.5
  - ipykernel=6.29.5
  - ipython=8.27.0
  - ipywidgets=8.1.5
  - isoduration=20.11.0
  - jedi=0.19.1
  - jinja2=3.1.4
  - joblib=1.4.2
  - json5=0.9.25
  - jsonpointer=3.0.0
  - jsonschema=4.23.0
  - jsonschema-specifications=2023.12.1
  - jsonschema-with-format-nongpl=4.23.0
  - jupyter=1.1.1
  - jupyter-lsp=2.2.5
  - jupyter_client=8.6.3
  - jupyter_console=6.6.3
  - jupyter_core=5.7.2
  - jupyter_events=0.10.0
  - jupyter_server=2.14.2
  - jupyter_server_terminals=0.5.3
  - jupyterlab=4.2.5
  - jupyterlab_pygments=0.3.0
  - jupyterlab_server=2.27.3
  - jupyterlab_widgets=3.0.13
  - keras=3.5.0
  - kernel-headers_linux-64=3.10.0
  - keyutils=1.6.1
  - kiwisolver=1.4.7
  - krb5=1.21.3
  - lame=3.100
  - lcms2=2.16
  - ld_impl_linux-64=2.43
  - lerc=4.0.0
  - libabseil=20240116.2
  - libaec=1.1.3
  - libasprintf=0.22.5
  - libasprintf-devel=0.22.5
  - libblas=3.9.0
  - libbrotlicommon=1.1.0
  - libbrotlidec=1.1.0
  - libbrotlienc=1.1.0
  - libcap=2.69
  - libcblas=3.9.0
  - libclang-cpp15=15.0.7
  - libclang-cpp18.1=18.1.8
  - libclang-cpp19.1=19.1.0
  - libclang13=19.1.0
  - libcublas=12.3.4.1
  - libcublas-dev=12.3.4.1
  - libcufft=11.0.12.1
  - libcufft-dev=11.0.12.1
  - libcufile=1.8.1.2
  - libcufile-dev=1.8.1.2
  - libcups=2.3.3
  - libcurand=10.3.4.107
  - libcurand-dev=10.3.4.107
  - libcurl=8.10.1
  - libcusolver=11.5.4.101
  - libcusolver-dev=11.5.4.101
  - libcusparse=12.2.0.103
  - libcusparse-dev=12.2.0.103
  - libdeflate=1.21
  - libdrm=2.4.123
  - libedit=3.1.20191231
  - libegl=1.7.0
  - libev=4.33
  - libevent=2.1.12
  - libexpat=2.6.3
  - libffi=3.4.2
  - libflac=1.4.3
  - libgcc=14.1.0
  - libgcc-devel_linux-64=12.4.0
  - libgcc-ng=14.1.0
  - libgcrypt=1.11.0
  - libgd=2.3.3
  - libgettextpo=0.22.5
  - libgettextpo-devel=0.22.5
  - libgfortran=14.1.0
  - libgfortran-ng=14.1.0
  - libgfortran5=14.1.0
  - libgl=1.7.0
  - libglib=2.80.2
  - libglvnd=1.7.0
  - libglx=1.7.0
  - libgomp=14.1.0
  - libgpg-error=1.50
  - libgrpc=1.62.2
  - libhwloc=2.11.1
  - libiconv=1.17
  - libjpeg-turbo=3.0.0
  - liblapack=3.9.0
  - libllvm15=15.0.7
  - libllvm18=18.1.8
  - libllvm19=19.1.0
  - libnghttp2=1.58.0
  - libnpp=12.2.3.2
  - libnpp-dev=12.2.3.2
  - libnsl=2.0.1
  - libnuma=2.0.18
  - libnvjitlink=12.3.101
  - libnvjitlink-dev=12.3.101
  - libnvjpeg=12.3.0.81
  - libnvjpeg-dev=12.3.0.81
  - libogg=1.3.5
  - libopenblas=0.3.27
  - libopengl=1.7.0
  - libopus=1.3.1
  - libpciaccess=0.18
  - libpng=1.6.44
  - libpq=16.4
  - libprotobuf=4.25.3
  - libre2-11=2023.09.01
  - librsvg=2.58.1
  - libsanitizer=12.4.0
  - libsndfile=1.2.2
  - libsodium=1.0.20
  - libsqlite=3.46.1
  - libssh2=1.11.0
  - libstdcxx=14.1.0
  - libstdcxx-devel_linux-64=12.4.0
  - libstdcxx-ng=14.1.0
  - libsystemd0=256.7
  - libtiff=4.7.0
  - libtorch=2.4.0
  - libuuid=2.38.1
  - libuv=1.49.0
  - libvorbis=1.3.7
  - libwebp=1.4.0
  - libwebp-base=1.4.0
  - libxcb=1.15
  - libxcrypt=4.4.36
  - libxkbcommon=1.7.0
  - libxkbfile=1.1.0
  - libxml2=2.12.7
  - libxslt=1.1.39
  - libzlib=1.3.1
  - llvm-openmp=18.1.8
  - llvmlite=0.44.0
  - lz4-c=1.9.4
  - markdown=3.6
  - markdown-it-py=3.0.0
  - markupsafe=2.1.5
  - matplotlib=3.9.2
  - matplotlib-base=3.9.2
  - matplotlib-inline=0.1.7
  - mdurl=0.1.2
  - mistune=3.0.2
  - mkl=2023.2.0
  - ml_dtypes=0.3.2
  - mpc=1.3.1
  - mpfr=4.2.1
  - mpg123=1.32.6
  - mpmath=1.3.0
  - munkres=1.1.4
  - mysql-common=8.3.0
  - mysql-libs=8.3.0
  - namex=0.0.8
  - nbclient=0.10.0
  - nbconvert-core=7.16.4
  - nbformat=5.10.4
  - nccl=2.23.4.1
  - ncurses=6.5
  - nest-asyncio=1.6.0
  - networkx=3.3
  - notebook=7.2.2
  - notebook-shim=0.2.4
  - nsight-compute=2023.3.1.1
  - nspr=4.35
  - nss=3.105
  - numba=0.61.0
  - ocl-icd=2.3.2
  - openjpeg=2.5.2
  - openssl=3.4.0
  - opt_einsum=3.4.0
  - optree=0.12.1
  - overrides=7.7.0
  - packaging=24.1
  - pandas=1.5.3
  - pandocfilters=1.5.0
  - pango=1.54.0
  - parso=0.8.4
  - patsy=0.5.6
  - pcre2=10.43
  - pexpect=4.9.0
  - pickleshare=0.7.5
  - pillow=10.3.0
  - pip=24.2
  - pixman=0.43.2
  - pkgutil-resolve-name=1.3.10
  - platformdirs=4.3.6
  - plotly=5.24.1
  - prometheus_client=0.21.0
  - prompt-toolkit=3.0.48
  - prompt_toolkit=3.0.48
  - protobuf=4.25.3
  - psutil=6.0.0
  - pthread-stubs=0.4
  - ptyprocess=0.7.0
  - pulseaudio-client=17.0
  - pure_eval=0.2.3
  - pycparser=2.22
  - pydot=3.0.1
  - pygments=2.18.0
  - pyparsing=3.1.4
  - pyside6=6.7.2
  - pysocks=1.7.1
  - python=3.11.10
  - python-dateutil=2.9.0
  - python-fastjsonschema=2.20.0
  - python-flatbuffers=24.3.25
  - python-json-logger=2.0.7
  - python-tzdata=2024.2
  - python_abi=3.11
  - pytorch=2.4.0
  - pytz=2024.1
  - pyyaml=6.0.2
  - pyzmq=26.2.0
  - qhull=2020.2
  - qt-main=5.15.8
  - qt6-main=6.7.2
  - re2=2023.09.01
  - readline=8.2
  - referencing=0.35.1
  - requests=2.32.3
  - rfc3339-validator=0.1.4
  - rfc3986-validator=0.1.1
  - rich=13.8.1
  - rpds-py=0.20.0
  - scikit-learn=1.5.2
  - scipy=1.14.1
  - seaborn=0.13.2
  - seaborn-base=0.13.2
  - send2trash=1.8.3
  - setuptools=75.1.0
  - six=1.16.0
  - sleef=3.7
  - snappy=1.2.1
  - sniffio=1.3.1
  - soupsieve=2.5
  - stack_data=0.6.2
  - statsmodels=0.14.3
  - sympy=1.13.2
  - sysroot_linux-64=2.17
  - tbb=2021.13.0
  - tenacity=9.0.0
  - tensorboard=2.16.2
  - tensorboard-data-server=0.7.0
  - tensorflow=2.16.2
  - tensorflow-base=2.16.2
  - tensorflow-estimator=2.16.2
  - termcolor=2.4.0
  - terminado=0.18.1
  - threadpoolctl=3.5.0
  - tinycss2=1.3.0
  - tk=8.6.13
  - tomli=2.0.1
  - tornado=6.4.1
  - traitlets=5.14.3
  - types-python-dateutil=2.9.0.20240906
  - typing-extensions=4.12.2
  - typing_extensions=4.12.2
  - typing_utils=0.1.0
  - tzdata=2024a
  - uri-template=1.3.0
  - urllib3=2.2.3
  - wayland=1.23.1
  - wcwidth=0.2.13
  - webcolors=24.8.0
  - webencodings=0.5.1
  - websocket-client=1.8.0
  - werkzeug=3.0.4
  - wheel=0.44.0
  - widgetsnbextension=4.0.13
  - wrapt=1.16.0
  - xcb-util=0.4.0
  - xcb-util-cursor=0.1.4
  - xcb-util-image=0.4.0
  - xcb-util-keysyms=0.4.0
  - xcb-util-renderutil=0.3.9
  - xcb-util-wm=0.4.1
  - xkeyboard-config=2.42
  - xorg-compositeproto=0.4.2
  - xorg-damageproto=1.2.1
  - xorg-fixesproto=5.0
  - xorg-inputproto=2.3.2
  - xorg-kbproto=1.0.7
  - xorg-libice=1.1.1
  - xorg-libsm=1.2.4
  - xorg-libx11=1.8.9
  - xorg-libxau=1.0.11
  - xorg-libxcomposite=0.4.6
  - xorg-libxdamage=1.1.5
  - xorg-libxdmcp=1.1.3
  - xorg-libxext=1.3.4
  - xorg-libxfixes=5.0.3
  - xorg-libxi=1.7.10
  - xorg-libxrandr=1.5.2
  - xorg-libxrender=0.9.11
  - xorg-libxtst=1.2.5
  - xorg-libxxf86vm=1.1.5
  - xorg-randrproto=1.5.0
  - xorg-recordproto=1.14.2
  - xorg-renderproto=0.11.1
  - xorg-util-macros=1.20.1
  - xorg-xextproto=7.3.0
  - xorg-xf86vidmodeproto=2.3.1
  - xorg-xorgproto=2024.1
  - xorg-xproto=7.0.31
  - xz=5.2.6
  - yaml=0.2.5
  - zeromq=4.3.5
  - zipp=3.20.2
  - zlib=1.3.1
  - zstandard=0.23.0
  - zstd=1.5.6
  - pip:
      - bio==1.7.1
      - biopython==1.79
      - biothings-client==0.4.1
      - gprofiler-official==1.0.0
      - ipymol==0.5
      - logomaker==0.8
      - mygene==3.2.2
      - numpy==1.23.5
      - pooch==1.8.2
      - pot==0.9.5
      - prody==2.4.1
      - pygraphviz==1.14
      - pynndescent==0.5.13
      - pyrosetta==2025.51+release.612b6ef9e9
      - pyrosetta-installer==0.1.2
      - tqdm==4.67.1
      - umap-learn==0.5.3

